## cyrus-imapd 3.2.1

=== debian/changelog ===
cyrus-imapd (3.2.1-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Mon, 01 Jun 2020 07:11:34 +0200

cyrus-imapd (3.2.1-3) unstable; urgency=medium

  * Back to unstable after successful tests (Closes: #960558)

 -- Xavier Guimard <yadd@debian.org>  Fri, 29 May 2020 09:52:46 +0200

cyrus-imapd (3.2.1-2) experimental; urgency=medium

  * Fix upstream test (Closes: #960658)

 -- Xavier Guimard <yadd@debian.org>  Fri, 29 May 2020 09:08:39 +0200

cyrus-imapd (3.2.1-1) experimental; urgency=medium

  * New upstream version 3.2.1
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Fri, 29 May 2020 07:17:19 +0200

cyrus-imapd (3.2.0-6) experimental; urgency=medium

  * Re-enable all test with an updated patch

 -- Xavier Guimard <yadd@debian.org>  Mon, 25 May 2020 09:29:26 +0200

cyrus-imapd (3.2.0-5~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Sun, 24 May 2020 20:04:09 +0200

cyrus-imapd (3.2.0-5) unstable; urgency=medium

  * Disable some unimportant tests that fail with non amd64 arch

 -- Xavier Guimard <yadd@debian.org>  Wed, 20 May 2020 20:22:08 +0200

cyrus-imapd (3.2.0-4) unstable; urgency=medium

  * Try to fix #960658:
    + Add patch for big endian arch
    + Increase test timeout
    + Re enable all tests

 -- Xavier Guimard <yadd@debian.org>  Wed, 20 May 2020 11:17:46 +0200

cyrus-imapd (3.0.13-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Sun, 05 Jan 2020 08:14:34 +0100

cyrus-imapd (3.0.12-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Tue, 03 Dec 2019 23:10:18 +0100

cyrus-imapd (3.0.11-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Wed, 14 Aug 2019 06:48:36 +0200

## cyrus-imapd 3.2.2

=== debian/changelog ===
cyrus-imapd (3.2.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Tue, 28 Jul 2020 22:37:32 +0200

cyrus-imapd (3.2.2-1) unstable; urgency=medium

  * Mark cyrus-dev as "Multi-Arch: same"
  * New upstream version 3.2.2
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Mon, 22 Jun 2020 13:55:29 +0200

=== debian/control ===
Source: cyrus-imapd
Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>,
           Ondřej Surý <ondrej@debian.org>,
           Anthony Prades <toony.debian@chezouam.net>,
           Xavier Guimard <yadd@debian.org>
Section: mail
Priority: optional
Build-Depends: bison,
               comerr-dev,
               debhelper-compat (= 12),
               flex,
               ghostscript,
               groff,
               libdb-dev,
               libdkim-dev,
               libical-dev (>= 2.0.0),
               libjansson-dev,
               libclamav-dev,
               libcunit1-dev,
               libkrb5-dev,
               libkvm-dev [kfreebsd-any],
               libldap2-dev,
               libnghttp2-dev,
               libopendkim-dev,
               libpam0g-dev,
               libpod-pom-view-restructured-perl,
               libpcre3-dev,
               libbrotli-dev,
               libpq-dev,
               libsasl2-dev,
               libsasl2-modules,
               libshp-dev,
               libsnmp-dev,
               libsqlite3-dev,
               libssl-dev,
               libtool,
               libwrap0-dev,
               libwslay-dev,
               libxapian-dev,
               libxml2-dev,
               libzephyr-dev,
               libzstd-dev,
               perl,
               pkg-config,
               po-debconf,
               rsync,
               sqlite3,
               transfig,
               unicode-data,
               vim-common,
               xutils-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/cyrus-imapd
Vcs-Git: https://salsa.debian.org/debian/cyrus-imapd.git
Homepage: https://www.cyrusimap.org/
Rules-Requires-Root: no

Package: cyrus-common
Architecture: any
Depends: adduser,
         db-upgrade-util,
         db-util,
         e2fsprogs,
         default-mta | mail-transport-agent,
         gawk,
         libsasl2-modules,
         lsb-base,
         netbase,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: cyrus-imapd | cyrus-pop3d | cyrus-murder | cyrus-nntpd | cyrus-admin | cyrus-caldav
Suggests: apt-listchanges,
          cyrus-admin,
          cyrus-caldav,
          cyrus-clients,
          cyrus-doc,
          cyrus-imapd,
          cyrus-murder,
          cyrus-nntpd,
          cyrus-pop3d,
          cyrus-replication,
          sasl2-bin
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - common files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 Cyrus doesn't support reading from and storing mail in the
 standard mail spool. It stores mail in a separate directory in its
 own MH-like format.
 .
 This package contains the common files needed by the other Cyrus
 components. The cyrus-imapd and/or cyrus-pop3d packages are needed
 to enable IMAP and POP3 support respectively. cyrus-murder can be
 used to enable IMAP, POP3 and LMTP proxying. cyrus-replication
 can be used to provide server replication between two imap servers.

Package: cyrus-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - documentation files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the documentation for the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-imapd
Architecture: any
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsync
Pre-Depends: ${misc:Pre-Depends}
Conflicts: imap-server
Provides: imap-server
Description: Cyrus mail system - IMAP support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the IMAP (Internet Mail Access Protocol) portion
 of the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-pop3d
Architecture: any
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: pop3-server
Provides: pop3-server
Description: Cyrus mail system - POP3 support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the POP3 (Post Office Protocol) portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-admin
Architecture: any
Depends: cyrus-common,
         libcyrus-imap-perl (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends}
Suggests: sasl2-bin
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - administration tools
 This package provides the administrative tools for the Cyrus IMAPd suite.
 It contains the cyradm tool which can be used to administer
 both local and remote Cyrus mail systems.  It also contains sieveshell
 and its deprecated cousin installsieve, which can be used to manage
 sieve scripts.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-murder
Architecture: any
Depends: cyrus-common (= ${binary:Version}),
         cyrus-imapd (= ${binary:Version}),
         cyrus-pop3d (= ${binary:Version}),
         cyrus-clients (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - proxies and aggregator
 This package contains the Cyrus IMAPd suite murder aggregator system,
 i.e. IMAP, POP3  and LMTP proxies, and the mupdate mailbox master daemon.
 It allows for cluster setups where there are many backend Cyrus spools and
 frontend proxy servers.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-replication
Architecture: any
Depends: cyrus-common (= ${binary:Version}),
         cyrus-imapd (= ${binary:Version}) | cyrus-pop3d (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - replication
 This package contains the Cyrus IMAPd suite replication system.
 It allows the replication of the mail spool between two imap or pop servers.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-nntpd
Architecture: any
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: news-transport-system
Provides: news-transport-system
Description: Cyrus mail system - NNTP support
 This package contains the NNTP (Network News Transfer Protocol) portion of
 the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-caldav
Architecture: any
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: cyrus-caldav-2.4
Replaces: cyrus-caldav-2.4
Description: Cyrus mail system - CalDAV and CardDAV support
 This package contains the CalDAV and CardDAV portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-clients
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - test clients
 This package contains client tools to test the Cyrus IMAPd suite.
 It contains the mupdatetest, sivtest, smtptest, lmtptest,
 imtest and pop3test tools which can be used to interactively talk to
 a mupdate, Sieve, SMTP, LMTP, IMAP or POP3 server.
 The clients are fully SASL-enabled for authentication.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-dev
Architecture: any
Section: devel
Multi-Arch: same
Depends: cyrus-common (= ${binary:Version}),
         libcyrus-imap-perl (>= ${binary:Version}),
         libsasl2-dev,
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - developer files
 This package contains header files and the static library needed
 to develop IMAP applications that interface with the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: libcyrus-imap-perl
Architecture: any
Multi-Arch: same
Section: perl
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Interface to Cyrus imap client imclient library
 The Cyrus::IMAP module provides an interface to the Cyrus imclient
 library.  These are primarily useful for implementing cyradm operations
 within a Perl script; there are easier ways to implement general client
 operations, although they may be more limited in terms of authentication
 options when talking to a Cyrus imapd.
 .
 The modules that compose Cyrus::SIEVE are also included, but they are
 undocumented upstream.
 .
 For more information, please see the cyrus-common package.

## cyrus-imapd 3.2.3

=== debian/changelog ===
cyrus-imapd (3.2.3-2ubuntu2) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 13:32:42 +0100

cyrus-imapd (3.2.3-2ubuntu1) groovy; urgency=medium

  * Add autopkgtest dep on libcyrus-imap-perl

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 21 Sep 2020 12:44:30 +0100

cyrus-imapd (3.2.3-2) unstable; urgency=medium

  * Fix debian/cyrus-common.tmpfiles for debhelper ≥ 13 (Closes: #969261)

 -- Xavier Guimard <yadd@debian.org>  Sun, 13 Sep 2020 17:50:16 +0200

cyrus-imapd (3.2.3-1) unstable; urgency=medium

  * Bump debhelper compatibility level to 13
  * New upstream version 3.2.3

 -- Xavier Guimard <yadd@debian.org>  Fri, 28 Aug 2020 07:31:01 +0200

=== debian/tests/control ===
# Tests: cyrus-docker
# Depends: ca-certificates, docker.io
# Restrictions: needs-root

Tests: cyrus-no-docker
Depends: cyrus-imapd,
    apt-utils,
    autoconf,
    automake,
    autotools-dev,
    bash-completion,
    bison,
    build-essential,
    check,
    clang,
    cmake,
    comerr-dev,
    cpanminus,
    doxygen,
    debhelper,
    flex,
    g++,
    git,
    gperf,
    graphviz,
    groff,
    texi2html,
    texinfo,
    heimdal-dev,
    help2man,
    libanyevent-perl,
    libbsd-dev,
    libbsd-resource-perl,
    libclone-perl,
    libcyrus-imap-perl,
    libconfig-inifiles-perl,
    libcunit1-dev,
    libdata-visitor-perl,
    libdatetime-perl,
    libdb-dev,
    libdbi-perl,
    libdbm-deep-perl,
    libdeclare-constraints-simple-perl,
    libdevel-findperl-perl,
    libdigest-sha-perl,
    libencode-imaputf7-perl,
    libfile-chdir-perl,
    libfile-slurp-perl,
    libfuture-perl,
    libgetopt-long-descriptive-perl,
    libglib2.0-dev,
    libhook-lexwrap-perl,
    libhttp-daemon-perl,
    libimport-into-perl,
    libio-async-perl,
    libio-socket-inet6-perl,
    libio-string-perl,
    libio-stringy-perl,
    libjson-perl,
    libjson-xs-perl,
    libldap2-dev,
    liblist-someutils-perl,
    libmagic-dev,
    libmilter-dev,
    libmodule-path-perl,
    libmodule-refresh-perl,
    libmoo-perl,
    libmoosex-markasmethods-perl,
    default-libmysqlclient-dev,
    libnet-server-perl,
    libnews-nntpclient-perl,
    libpath-tiny-perl,
    libpam0g-dev,
    libpcre3-dev,
    libperl-prereqscanner-perl,
    libppi-perl,
    libprotocol-websocket-perl,
    libreadonly-perl,
    libsasl2-dev,
    libscope-guard-perl,
    libsnmp-dev,
    libsqlite3-dev,
    libssl-dev,
    libstring-crc32-perl,
    libstring-rewriteprefix-perl,
    libstruct-dumb-perl,
    libsuper-perl,
    libtask-weaken-perl,
    libtest-deep-perl,
    libtest-deep-type-perl,
    libtest-identity-perl,
    libtest-memory-cycle-perl,
    libtest-most-perl,
    libtest-object-perl,
    libtest-refcount-perl,
    libtest-output-perl,
    libtest-subcalls-perl,
    libtest-taint-perl,
    libtest-unit-perl,
    libtool,
    libunix-syslog-perl,
    liburi-perl,
    libxml-generator-perl,
    libxml-xpath-perl,
    libxml2-dev,
    libwrap0-dev,
    libxapian-dev,
    libzephyr-dev,
    lsb-base,
    net-tools,
    pandoc,
    perl,
    php-cli,
    php-curl,
    pkg-config,
    po-debconf,
    rsync,
    sudo,
    tcl-dev,
    transfig,
    unicode-data,
    uuid-dev,
    vim,
    wamerican,
    wget,
    xutils-dev,
    zlib1g-dev
Restrictions: needs-root, allow-stderr

## cyrus-imapd 3.2.4

=== debian/changelog ===
cyrus-imapd (3.2.4-3) unstable; urgency=medium

  * Add missing autopkgtest dependency (fixes debci)
  * Skip autopkgtest if test environment install failed

 -- Xavier Guimard <yadd@debian.org>  Wed, 07 Oct 2020 10:24:25 +0200

cyrus-imapd (3.2.4-2) unstable; urgency=medium

  * Fix systemd tmpfiles (Closes: #969261)

 -- Xavier Guimard <yadd@debian.org>  Wed, 07 Oct 2020 05:58:14 +0200

cyrus-imapd (3.2.4-1) unstable; urgency=medium

  * Remove useless cyrus-caldav-2.4 breaks/conflicts
  * New upstream version 3.2.4
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Mon, 05 Oct 2020 10:00:46 +0200

cyrus-imapd (3.2.3-3) unstable; urgency=medium

  [ Jean Charles Delépine ]
  * cron jobs: chk_cyrus should'nt be used if CHKCYRUS=0 (Closes: #964442)

  [ Xavier Guimard ]
  * Tag autopkgtest with "needs-internet" (Closes: #966114)
  * Workaround: disable HTTP/2 support (Closes: #969222)

 -- Xavier Guimard <yadd@debian.org>  Mon, 28 Sep 2020 06:23:46 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Build-Depends: bison,
                comerr-dev,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                flex,
                ghostscript,
                groff,
@@ -254,8 +254,6 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: cyrus-caldav-2.4
-Replaces: cyrus-caldav-2.4
 Description: Cyrus mail system - CalDAV and CardDAV support
  This package contains the CalDAV and CardDAV portion of the Cyrus
  IMAPd suite.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for CMU Cyrus IMAP version 2.4
# GNU copyright 1997 by Joey Hess.
# Copyright (c) 2001,2010 by Henrique de Moraes Holschuh
# Published under the GNU GPL license
# Based on previous work by Michael-John Turner <mj@debian.org>,
#			    David Parker <david@neongoat.com>
#

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# DebHelper control
export DH_ALWAYS_EXCLUDE=CVS:.svn:.git

export DOCPKG=cyrus-doc
export TMPPKG := $(CURDIR)/debian/tmp
export DOCDIR := $(CURDIR)/debian/$(DOCPKG)/usr/share/doc/$(DOCPKG)

export DEB_CFLAGS_MAINT_APPEND  = -Wall -Wextra -g -fno-strict-aliasing -pipe $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export PERL_MM_OPT              = INSTALLDIRS="vendor" CCFLAGS="$(dpkg-buildflags --get CFLAGS)" LDDLFLAGS="$(dpkg-buildflags --get LDFLAGS)"

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Extra version information to add to Cyrus IMAPd ID
EXTRA_IDENT := Debian-$(DEB_VERSION)

# DB engine version
export BDB_VERSION ?= $(shell LC_ALL=C dpkg-query -l 'libdb[45].[0-9]-dev' | grep ^ii | sed -e 's|.*\s\libdb\([45]\.[0-9]\)-dev\s.*|\1|')
DBENGINE := BerkeleyDB$(BDB_VERSION)

CONFFLAGS =
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

MAN1 := imtest installsieve lmtptest mupdatetest nntptest \
	pop3test sieveshell sivtest smtptest httptest

MAN8 := master reconstruct quota deliver \
	mbpath ctl_mboxlist ctl_deliver ctl_cyrusdb squatter \
	tls_prune ipurge cvt_cyrusdb chk_cyrus arbitron \
	cyr_expire unexpunge sync_client sync_reset cyr_synclog \
	cyr_dbtool cyr_df ctl_zoneinfo cyr_deny cyr_info \
	fetchnews fud httpd idled imapd lmtpd mbexamine nntpd \
	notifyd pop3d rmnews smmapd sync_server timsieved \
	cyr_buildinfo mbtool restore backupd

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	 $(CONFFLAGS) \
	 --with-extraident=$(EXTRA_IDENT) \
	 --includedir=/usr/include \
	 --datadir=/usr/share/cyrus \
	 --sharedstatedir=/usr/share/cyrus \
	 --localstatedir=/var/lib/cyrus \
	 --libexecdir=/usr/lib/cyrus/bin \
	 --bindir=/usr/lib/cyrus/bin \
	 --sbindir=/usr/lib/cyrus/bin \
	 --disable-silent-rules \
	 --enable-autocreate \
	 --enable-idled \
	 --enable-nntp \
	 --enable-murder \
	 --enable-http \
	 --enable-replication \
	 --enable-xapian \
	 --enable-backup \
	 --enable-calalarmd \
	 --enable-unit-tests \
	 --enable-gssapi="/usr" \
	 --with-cyrus-user=cyrus --with-cyrus-group=mail \
	 --with-pgsql \
	 --with-pgsql-incdir=/usr/include/postgresql \
	 --with-lock=fcntl \
	 --with-ldap \
	 --with-krb \
	 --with-krbimpl=mit \
	 --without-krbdes \
	 --with-openssl \
	 --with-zlib \
	 --with-libcap \
	 --with-pidfile=/run/cyrus-master.pid \
	 --with-com_err="" \
	 --with-syslogfacility=MAIL \
	 --with-gss_impl=mit \
	 --with-sasl \
	 --with-perl=/usr/bin/perl \
	 --with-snmp \
	 --without-nghttp2
	echo 'To build this package, configure was called as follows:' \
		> debian/README.configure-options
	grep '^ac_cs_config=' config.status \
	| sed -e 's/^ac_cs_config="/configure /;s/"$$//' \
		>> debian/README.configure-options

override_dh_auto_build:
	dh_auto_build

# store database configuration for possible automatic
# upgrading later
	echo "DBENGINE $(DBENGINE)" >>debian/cyrus-db-types.txt
	grep '_db"' lib/imapoptions \
	| cut -d, -f1-2 | sed -e 's/{ "//;s/_db", "/ /;s/"$$//' \
	| sed -e 's/^tls.* /TLS /;s/^subs.* /SUBS /;s/^seen.* /SEEN /;s/^pts.* /PTS /;s/^mbox.* /MBOX /'\
	| awk '{printf("%s %s\n",toupper($$1),$$2);}' \
	>>debian/cyrus-db-types.txt
	mv debian/cyrus-db-types.txt debian/cyrus-db-types.txt.old \
	&& sort -u < debian/cyrus-db-types.txt.old > debian/cyrus-db-types.txt \
	&& rm debian/cyrus-db-types.txt.old

# store some useful state about the current package
	echo "PACKAGE_VERSION $(DEB_VERSION)" >debian/cyrus-hardwired-config.txt
	if grep -q -s -n -E '^[[:space:]]*#define[[:space:]]+USE_DIR_FULL[[:space:]]+1' config.h ; then \
		echo "USE_DIR_FULL 1" >>debian/cyrus-hardwired-config.txt ;\
	else \
		echo "USE_DIR_FULL 0" >>debian/cyrus-hardwired-config.txt ;\
	fi

# former build-indep
	cd doc &&\
	pod2man ../perl/sieve/scripts/sieveshell.pl > ../man/sieveshell.1 &&\
	fig2dev -L png legacy/murder.fig murder.png &&\
	rm -f groff-html-*.png pod2htm*
	cd doc &&\
	mkdir -p man &&\
	for man in ../man/*.[1-9] ../debian/*.[1-9]; do \
	   echo "Generating html manpage for $$man..."; \
	   groff -man -Thtml $$man > man/`basename $$man`.html; \
	done
	pod2html perl/imap/cyradm.sh > doc/man/cyradm.1.html
	rm -f pod2htm*

override_dh_auto_install:
	dh_auto_install # -- DESTDIR=$(TMPPKG)

	# install the cyrus tool
	install -d -m 755 $(TMPPKG)/usr/sbin
	install -m 755 debian/cyrus $(TMPPKG)/usr/sbin

	# for stuff in /etc
	install -d -m 755 $(TMPPKG)/etc/cyrus $(TMPPKG)/etc/pam.d
	install -m 644 debian/imapd.conf $(TMPPKG)/etc
	install -m 644 debian/cyrus.conf $(TMPPKG)/etc
	(cd debian ; for i in *.pam ;\
		do install -m 644 $$i $(TMPPKG)/etc/pam.d/$${i%.pam} ;\
	done)

	# Install cyradm icons
	install -d -m 755 $(TMPPKG)/usr/share/icons/mini
	install -m 644 debian/cyradm-32x32.xpm $(TMPPKG)/usr/share/icons/cyradm.xpm
	install -m 644 debian/cyradm-16x16.xpm $(TMPPKG)/usr/share/icons/mini/cyradm.xpm

	# Install debian-provided scripts
	install -d -m 755 $(TMPPKG)/usr/lib/cyrus/bin/
	install debian/cyrus-makedirs $(TMPPKG)/usr/lib/cyrus/bin/makedirs
	install -m 755 debian/cyrus-upgrade-db $(TMPPKG)/usr/lib/cyrus/bin/upgrade-db
	install -m 644 debian/get-backtrace.gdb $(TMPPKG)/usr/lib/cyrus/get-backtrace.gdb

	# and logcheck files
	install -d -m 755 $(TMPPKG)/etc/logcheck/ignore.d.server/ $(TMPPKG)/etc/logcheck/violations.ignore.d/
	install -m 644 debian/logcheck.ignore $(TMPPKG)/etc/logcheck/ignore.d.server/cyrus-imapd
	install -m 644 debian/logcheck.violations.ignore $(TMPPKG)/etc/logcheck/violations.ignore.d/cyrus-imapd

	# And other upgrade helpers
	install -m 644 debian/cyrus-db-types.txt debian/cyrus-hardwired-config.txt \
		   $(TMPPKG)/usr/lib/cyrus

	# Move all manpages under cyrus- namespace
	install -m 644 debian/cyrus-makedirs.8 debian/cyrus-arbitronsort.8 debian/cyrus-dump.8 \
		$(TMPPKG)/usr/share/man/man8/

	# Prefix all manpages for cyrus binaries to cyrus-$1
	for i in $(MAN1); do \
	  mv $(TMPPKG)/usr/share/man/man1/$$i.1 $(TMPPKG)/usr/share/man/man1/cyrus-$$i.1; \
	done

	for i in $(MAN8); do \
	  mv $(TMPPKG)/usr/share/man/man8/$$i.8 $(TMPPKG)/usr/share/man/man8/cyrus-$${i}.8 ; \
	done

	# SNMP files
	install -d -m 755 $(TMPPKG)/usr/share/snmp/mibs
	install -m 644 master/CYRUS-MASTER.mib $(TMPPKG)/usr/share/snmp/mibs/CYRUS-MASTER-MIB.txt

	# Install the stuff needed for upgrades
	install -d -m 755 $(TMPPKG)/usr/lib/cyrus/upgrade
	for i in rehash translatesieve masssievec; do \
	  install -m 755 tools/$$i $(TMPPKG)/usr/lib/cyrus/upgrade ;\
	done

	# And other misc useful tools
	install -m 755 tools/arbitronsort.pl $(TMPPKG)/usr/lib/cyrus/bin/arbitronsort

	# Install the html docs and examples
	install -d -m 755 $(DOCDIR)/html
	install -m 644 doc/legacy/*.html doc/murder.png $(DOCDIR)/html
	cp -a doc/man $(DOCDIR)/html
	cp -a debian/examples $(DOCDIR)
	install -m 644 contrib/cyrusv2.mc $(DOCDIR)/examples
	#
	# Install contrib/ files
	install -d -m 755 $(DOCDIR)/contrib
	xargs < debian/cyrus-common.contrib -rti cp -r '{}' $(DOCDIR)/contrib

	# Remove some stuff we don't install
	rm $(TMPPKG)/usr/lib/cyrus/bin/*proxyd

override_dh_installinit:
	dh_installinit -p cyrus-common --name=cyrus-imapd

override_dh_installchangelogs:
	dh_installchangelogs \
	  -p cyrus-common -p cyrus-doc -p cyrus-clients \

## cyrus-imapd 3.2.5

=== debian/changelog ===
cyrus-imapd (3.2.5-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Wed, 02 Dec 2020 05:52:23 +0100

cyrus-imapd (3.2.5-1) unstable; urgency=medium

  * New upstream version 3.2.5
  * Patches (all were pushed to upstream):
    + Refresh patches
    + Remove GUID patch, upstream fixed that somewhere else
    + Drop patch 0008-Accept-invalid-From-header-in-email
      (see upstream #3382)
    + Drop patch 0004-silence-erroneous-RLIMIT_NUMFDS-related-log-messages
      (see upstream #3280)
    + Drop patch 0007-Adds-some-enhancements-to-sieveshell, accepted
    + Drop HTTP/2 patch, now included
    + Drop GUID patch, upstream fixed that somewhere else
    + Drop patch 0010-Fix-PATH_MAX-on-GNU-Hurd, fixed elsewhere
  * Set upstream metadata fields: Bug-Submit
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Declare complicance with policy 4.5.1

 -- Xavier Guimard <yadd@debian.org>  Mon, 30 Nov 2020 06:07:34 +0100

cyrus-imapd (3.2.4-4) experimental; urgency=medium

  * Fix cron job (Closes: #935431)
  * Add recommended dependency to libterm-readline-gnu-perl (Closes: #797789)
  * Import upstream fix to close properly HTTP/2 connections (Closes: #969222)
    and re-enable HTTP/2

 -- Xavier Guimard <yadd@debian.org>  Sun, 25 Oct 2020 07:35:51 +0100

cyrus-imapd (3.2.4-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Fri, 09 Oct 2020 09:26:25 +0200

cyrus-imapd (3.2.3-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Mon, 14 Sep 2020 09:51:57 +0200

cyrus-imapd (3.2.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Mon, 31 Aug 2020 09:42:32 +0200

=== debian/control ===
--- 
+++ 
@@ -50,7 +50,7 @@
                unicode-data,
                vim-common,
                xutils-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/cyrus-imapd
 Vcs-Git: https://salsa.debian.org/debian/cyrus-imapd.git
 Homepage: https://www.cyrusimap.org/
@@ -297,6 +297,7 @@
          ${perl:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Recommends: libterm-readline-gnu-perl
 Description: Interface to Cyrus imap client imclient library
  The Cyrus::IMAP module provides an interface to the Cyrus imclient
  library.  These are primarily useful for implementing cyradm operations

## cyrus-imapd 3.2.6

=== docsrc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -n
SPHINXBUILD   = sphinx-build
PAPER         =
SOURCEDIR     = .
BUILDDIR      = build
PERL2RST      = ../tools/perl2rst

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# User-friendly check for perl2rst
ifeq ($(shell which $(PERL2RST) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(PERL2RST)' command was not found. Make sure you have perl2rst installed, then set the PERL2RST environment variable to point to the full path of the '$(PERL2RST)' script. It relies on Perl module Pod::POM::View::Restructured)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
    
init: ../lib/imapoptions ../perl/imap/IMAP/Shell.pm
	@echo "creating imap/reference/manpages/systemcommands/cyradm.rst"
	$(PERL2RST) cyradm < ../perl/imap/IMAP/Shell.pm > $(SOURCEDIR)/imap/reference/manpages/systemcommands/cyradm.rst
	@echo "creating imap/reference/manpages/usercommands/sieveshell.rst"
	$(PERL2RST) sieveshell < ../perl/sieve/scripts/sieveshell.pl > $(SOURCEDIR)/imap/reference/manpages/usercommands/sieveshell.rst
	@echo "creating imap/reference/manpages/configs/imapd.conf.rst"
	../tools/config2rst ../lib/imapoptions > $(SOURCEDIR)/imap/reference/manpages/configs/imapd.conf.rst

html: init
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: init
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: init
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: init
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: init
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: init
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: init
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/CyrusIMAP.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/CyrusIMAP.qhc"

devhelp: init
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/CyrusIMAP"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/CyrusIMAP"
	@echo "# devhelp"

epub: init
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: init
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: init
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja: init
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text: init
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: init
	$(SPHINXBUILD) -b cyrman $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo: init
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info: init
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext: init
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes: init
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck: init
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: init
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml: init
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml: init
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
cyrus-imapd (3.2.6-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Yadd <yadd@debian.org>  Sat, 19 Jun 2021 20:49:44 +0200

cyrus-imapd (3.2.6-2) unstable; urgency=medium

  * Update gbp.conf for Bullseye branch
  * annotate: don't allow everyone to write shared server entries
    (Closes: CVE-2021-32056)

 -- Yadd <yadd@debian.org>  Mon, 10 May 2021 19:24:53 +0200

cyrus-imapd (3.2.6-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Yadd <yadd@debian.org>  Sun, 14 Mar 2021 11:44:03 +0100

cyrus-imapd (3.2.6-1) unstable; urgency=medium

  * New upstream version 3.2.6

 -- Yadd <yadd@debian.org>  Tue, 09 Mar 2021 07:37:35 +0100

cyrus-imapd (3.2.5-3) unstable; urgency=medium

  * Indicate that cyrus-imapd breaks+replaces cyrus-common < 3.2.3~
    (Closes: #983887)

 -- Yadd <yadd@debian.org>  Wed, 03 Mar 2021 07:44:59 +0100

cyrus-imapd (3.2.5-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Fri, 11 Dec 2020 06:18:52 +0100

cyrus-imapd (3.2.5-2) unstable; urgency=medium

  * Enable JMAP support (Closes: #976905)

 -- Xavier Guimard <yadd@debian.org>  Wed, 09 Dec 2020 10:17:17 +0100

=== debian/control ===
--- 
+++ 
@@ -139,6 +139,8 @@
 Recommends: rsync
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: imap-server
+Breaks: cyrus-common (<< 3.2.3~)
+Replaces: cyrus-common (<< 3.2.3~)
 Provides: imap-server
 Description: Cyrus mail system - IMAP support
  Cyrus is an IMAP server designed to handle massive quantities of mail,

## cyrus-imapd 3.4.2

=== debian/changelog ===
cyrus-imapd (3.4.2-2build1) jammy; urgency=medium

  * No-change rebuild with openssl 3

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 08 Dec 2021 14:42:58 -0300

cyrus-imapd (3.4.2-2) unstable; urgency=medium

  * Upgrade script: add "SYNC_CACHE" in known DB types list (Closes: #994025)

 -- Yadd <yadd@debian.org>  Mon, 13 Sep 2021 06:23:11 +0200

cyrus-imapd (3.4.2-1) unstable; urgency=medium

  [ lintian-brush ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Yadd ]
  * New upstream version 3.4.2 (Closes: #993433, CVE-2021-33582)
  * Declare compliance with policy 4.6.0
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 02 Sep 2021 06:17:52 +0200

cyrus-imapd (3.4.1-2) unstable; urgency=medium

  * Back to unstable

 -- Yadd <yadd@debian.org>  Mon, 16 Aug 2021 12:33:53 +0200

cyrus-imapd (3.4.1-1) experimental; urgency=medium

  * New upstream version 3.4.1 (Closes: CVE-2021-32056)

 -- Yadd <yadd@debian.org>  Tue, 11 May 2021 16:36:44 +0200

cyrus-imapd (3.4.0-1) experimental; urgency=medium

  * New upstream version 3.4.0

 -- Yadd <yadd@debian.org>  Mon, 19 Apr 2021 06:09:55 +0200

cyrus-imapd (3.4.0~rc1-1) experimental; urgency=medium

  * New upstream version 3.4.0~rc1

 -- Yadd <yadd@debian.org>  Tue, 23 Mar 2021 05:45:46 +0100

cyrus-imapd (3.4.0~beta3-1) experimental; urgency=medium

  * New upstream version 3.4.0~beta3

 -- Yadd <yadd@debian.org>  Fri, 19 Feb 2021 07:54:00 +0100

cyrus-imapd (3.4.0~beta2-1) experimental; urgency=medium

  * New upstream version 3.4.0~beta2

 -- Xavier Guimard <yadd@debian.org>  Wed, 27 Jan 2021 05:58:16 +0100

cyrus-imapd (3.4.0~beta1-1) experimental; urgency=medium

  * New upstream version 3.4.0~beta1
  * Refresh patches
  * Drop snmp support (no more shipped by upstream)

 -- Xavier Guimard <yadd@debian.org>  Fri, 08 Jan 2021 06:00:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>,
            Ondřej Surý <ondrej@debian.org>,
            Anthony Prades <toony.debian@chezouam.net>,
-           Xavier Guimard <yadd@debian.org>
+           Yadd <yadd@debian.org>
 Section: mail
 Priority: optional
 Build-Depends: bison,
@@ -50,7 +50,7 @@
                unicode-data,
                vim-common,
                xutils-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/cyrus-imapd
 Vcs-Git: https://salsa.debian.org/debian/cyrus-imapd.git
 Homepage: https://www.cyrusimap.org/

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,6 @@
 export DOCDIR := $(CURDIR)/debian/$(DOCPKG)/usr/share/doc/$(DOCPKG)
 
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -Wextra -g -fno-strict-aliasing -pipe $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export PERL_MM_OPT              = INSTALLDIRS="vendor" CCFLAGS="$(dpkg-buildflags --get CFLAGS)" LDDLFLAGS="$(dpkg-buildflags --get LDFLAGS)"
 
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -51,7 +50,7 @@
 	cyr_expire unexpunge sync_client sync_reset cyr_synclog \
 	cyr_dbtool cyr_df ctl_zoneinfo cyr_deny cyr_info \
 	fetchnews fud httpd idled imapd lmtpd mbexamine nntpd \
-	notifyd pop3d rmnews smmapd sync_server timsieved \
+	notifyd pop3d smmapd sync_server timsieved \
 	cyr_buildinfo mbtool restore backupd
 
 %:
@@ -74,6 +73,7 @@
 	 --enable-nntp \
 	 --enable-murder \
 	 --enable-http \
+	 --enable-jmap \
 	 --enable-replication \
 	 --enable-xapian \
 	 --enable-backup \
@@ -96,9 +96,7 @@
 	 --with-syslogfacility=MAIL \
 	 --with-gss_impl=mit \
 	 --with-sasl \
-	 --with-perl=/usr/bin/perl \
-	 --with-snmp \
-	 --without-nghttp2
+	 --with-perl=/usr/bin/perl
 	echo 'To build this package, configure was called as follows:' \
 		> debian/README.configure-options
 	grep '^ac_cs_config=' config.status \
@@ -190,10 +188,6 @@
 	  mv $(TMPPKG)/usr/share/man/man8/$$i.8 $(TMPPKG)/usr/share/man/man8/cyrus-$${i}.8 ; \
 	done
 
-	# SNMP files
-	install -d -m 755 $(TMPPKG)/usr/share/snmp/mibs
-	install -m 644 master/CYRUS-MASTER.mib $(TMPPKG)/usr/share/snmp/mibs/CYRUS-MASTER-MIB.txt
-
 	# Install the stuff needed for upgrades
 	install -d -m 755 $(TMPPKG)/usr/lib/cyrus/upgrade
 	for i in rehash translatesieve masssievec; do \
@@ -223,3 +217,10 @@
 override_dh_installchangelogs:
 	dh_installchangelogs \
 	  -p cyrus-common -p cyrus-doc -p cyrus-clients \
+	  -p cyrus-admin -p libcyrus-imap-perl -p cyrus-imapd \
+	  -p cyrus-pop3d -p cyrus-murder -p cyrus-replication \
+	  -p cyrus-nntpd -p cyrus-caldav -p cyrus-dev \
+	  doc/legacy/changes.html
+	dh_installchangelogs --remaining-packages
+
+override_dh_installcron:

## cyrus-imapd 3.4.3

=== debian/changelog ===
cyrus-imapd (3.4.3-3ubuntu0.3) jammy-security; urgency=medium

  * Rebuild for clamav security update.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 06 Jun 2025 13:56:45 -0400

cyrus-imapd (3.4.3-3ubuntu0.1) jammy; urgency=medium

  * Link libpcre3 with IMAP.so to resolve undefined symbols. (LP: #1971547)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 19 Jan 2024 12:29:16 +0000

cyrus-imapd (3.4.3-3build2) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 05:15:46 +0100

cyrus-imapd (3.4.3-3build1) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 14:52:45 +0100

cyrus-imapd (3.4.3-3) unstable; urgency=medium

  * Propagate CFLAGS to Perl build (makes build reproducible)

 -- Yadd <yadd@debian.org>  Thu, 03 Feb 2022 10:05:56 +0100

cyrus-imapd (3.4.3-2) unstable; urgency=medium

  * Improve reproducibility

 -- Yadd <yadd@debian.org>  Wed, 02 Feb 2022 09:30:29 +0100

cyrus-imapd (3.4.3-1) unstable; urgency=medium

  * Fix warning from cron.daily script, thanks to Stefan Nobis
    (Closes: #1003444)
  * Drop useless dependency version constraint
  * New upstream version 3.4.3
  * Add build dependency to fig2dev
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 02 Feb 2022 08:30:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: cyrus-imapd
-Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
 Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>,
            Ondřej Surý <ondrej@debian.org>,
            Anthony Prades <toony.debian@chezouam.net>,
@@ -9,12 +10,13 @@
 Build-Depends: bison,
                comerr-dev,
                debhelper-compat (= 13),
+               fig2dev,
                flex,
                ghostscript,
                groff,
                libdb-dev,
                libdkim-dev,
-               libical-dev (>= 2.0.0),
+               libical-dev,
                libjansson-dev,
                libclamav-dev,
                libcunit1-dev,
@@ -46,7 +48,6 @@
                po-debconf,
                rsync,
                sqlite3,
-               transfig,
                unicode-data,
                vim-common,
                xutils-dev
@@ -138,10 +139,10 @@
          ${shlibs:Depends}
 Recommends: rsync
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: cyrus-common (<< 3.2.3~)
 Conflicts: imap-server
-Breaks: cyrus-common (<< 3.2.3~)
+Provides: imap-server
 Replaces: cyrus-common (<< 3.2.3~)
-Provides: imap-server
 Description: Cyrus mail system - IMAP support
  Cyrus is an IMAP server designed to handle massive quantities of mail,
  with a number of features not found in other IMAP implementations,
@@ -278,8 +279,8 @@
 
 Package: cyrus-dev
 Architecture: any
+Multi-Arch: same
 Section: devel
-Multi-Arch: same
 Depends: cyrus-common (= ${binary:Version}),
          libcyrus-imap-perl (>= ${binary:Version}),
          libsasl2-dev,
@@ -298,8 +299,8 @@
 Depends: ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Recommends: libterm-readline-gnu-perl
+Pre-Depends: ${misc:Pre-Depends}
 Description: Interface to Cyrus imap client imclient library
  The Cyrus::IMAP module provides an interface to the Cyrus imclient
  library.  These are primarily useful for implementing cyradm operations

=== debian/rules ===
--- 
+++ 
@@ -101,6 +101,7 @@
 		> debian/README.configure-options
 	grep '^ac_cs_config=' config.status \
 	| sed -e 's/^ac_cs_config="/configure /;s/"$$//' \
+	| perl -pe 's#'`pwd`'#BUILD_PATH#g'
 		>> debian/README.configure-options
 
 override_dh_auto_build:
@@ -221,6 +222,3 @@
 	  -p cyrus-pop3d -p cyrus-murder -p cyrus-replication \
 	  -p cyrus-nntpd -p cyrus-caldav -p cyrus-dev \
 	  doc/legacy/changes.html
-	dh_installchangelogs --remaining-packages
-
-override_dh_installcron:

=== debian/tests/control ===
--- 
+++ 
@@ -32,9 +32,9 @@
     libbsd-dev,
     libbsd-resource-perl,
     libclone-perl,
-    libcyrus-imap-perl,
     libconfig-inifiles-perl,
     libcunit1-dev,
+    libcyrus-imap-perl,
     libdata-visitor-perl,
     libdatetime-perl,
     libdb-dev,
@@ -125,4 +125,4 @@
     wget,
     xutils-dev,
     zlib1g-dev
-Restrictions: needs-root, allow-stderr
+Restrictions: needs-root, allow-stderr, needs-internet, skippable

=== debian/watch ===
version=4
opts=\
uversionmangle=s/-((?:beta|rc)\d*)/~$1/,\
pgpsigurlmangle=s/$/.sig/ \
  https://github.com/cyrusimap/cyrus-imapd/releases/ .*releases/download/.*/cyrus-imapd-(\d+(?:\.\d+)*(?:-\w+)?)\.tar\.gz
